IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network6.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
- Network address
6.0.0.0- Broadcast address
6.127.255.255- First usable
6.0.0.1- Last usable
6.127.255.254- Usable hosts
- 8,388,606 (8,388,608 less the network and broadcast addresses)
- Subnet mask
255.128.0.0- Wildcard mask
0.127.255.255(Cisco ACLs, OSPF)- Prefix length
- /9
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
06000000· Integer100663296to109051903 - Reverse DNS zones
0.6.in-addr.arpa1.6.in-addr.arpa2.6.in-addr.arpa3.6.in-addr.arpa4.6.in-addr.arpa5.6.in-addr.arpa6.6.in-addr.arpa7.6.in-addr.arpa8.6.in-addr.arpa9.6.in-addr.arpa10.6.in-addr.arpa11.6.in-addr.arpa12.6.in-addr.arpa13.6.in-addr.arpa14.6.in-addr.arpa15.6.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000110.00000000.00000000.00000000 | 6.0.0.0 |
| Subnet mask | 11111111.10000000.00000000.00000000 | 255.128.0.0 |
| Network | 00000110.00000000.00000000.00000000 | 6.0.0.0 |
| Broadcast | 00000110.01111111.11111111.11111111 | 6.127.255.255 |
Split into smaller subnets
/10 (2)/11 (4)/12 (8)/13 (16)/14 (32)/15 (64)/16 (128)/17 (256)/18 (512)/19 (1,024)/20 (2,048)/21 (4,096)
6.0.0.0/9 makes 512 subnets of /18; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 6.0.0.0/18 | 6.0.0.1 to 6.0.63.254 | 6.0.63.255 | 16,382 |
| 2 | 6.0.64.0/18 | 6.0.64.1 to 6.0.127.254 | 6.0.127.255 | 16,382 |
| 3 | 6.0.128.0/18 | 6.0.128.1 to 6.0.191.254 | 6.0.191.255 | 16,382 |
| 4 | 6.0.192.0/18 | 6.0.192.1 to 6.0.255.254 | 6.0.255.255 | 16,382 |
| 5 | 6.1.0.0/18 | 6.1.0.1 to 6.1.63.254 | 6.1.63.255 | 16,382 |
| 6 | 6.1.64.0/18 | 6.1.64.1 to 6.1.127.254 | 6.1.127.255 | 16,382 |
| 7 | 6.1.128.0/18 | 6.1.128.1 to 6.1.191.254 | 6.1.191.255 | 16,382 |
| 8 | 6.1.192.0/18 | 6.1.192.1 to 6.1.255.254 | 6.1.255.255 | 16,382 |
| 9 | 6.2.0.0/18 | 6.2.0.1 to 6.2.63.254 | 6.2.63.255 | 16,382 |
| 10 | 6.2.64.0/18 | 6.2.64.1 to 6.2.127.254 | 6.2.127.255 | 16,382 |
| 11 | 6.2.128.0/18 | 6.2.128.1 to 6.2.191.254 | 6.2.191.255 | 16,382 |
| 12 | 6.2.192.0/18 | 6.2.192.1 to 6.2.255.254 | 6.2.255.255 | 16,382 |
| 13 | 6.3.0.0/18 | 6.3.0.1 to 6.3.63.254 | 6.3.63.255 | 16,382 |
| 14 | 6.3.64.0/18 | 6.3.64.1 to 6.3.127.254 | 6.3.127.255 | 16,382 |
| 15 | 6.3.128.0/18 | 6.3.128.1 to 6.3.191.254 | 6.3.191.255 | 16,382 |
| 16 | 6.3.192.0/18 | 6.3.192.1 to 6.3.255.254 | 6.3.255.255 | 16,382 |
| 17 | 6.4.0.0/18 | 6.4.0.1 to 6.4.63.254 | 6.4.63.255 | 16,382 |
| 18 | 6.4.64.0/18 | 6.4.64.1 to 6.4.127.254 | 6.4.127.255 | 16,382 |
| 19 | 6.4.128.0/18 | 6.4.128.1 to 6.4.191.254 | 6.4.191.255 | 16,382 |
| 20 | 6.4.192.0/18 | 6.4.192.1 to 6.4.255.254 | 6.4.255.255 | 16,382 |
| 21 | 6.5.0.0/18 | 6.5.0.1 to 6.5.63.254 | 6.5.63.255 | 16,382 |
| 22 | 6.5.64.0/18 | 6.5.64.1 to 6.5.127.254 | 6.5.127.255 | 16,382 |
| 23 | 6.5.128.0/18 | 6.5.128.1 to 6.5.191.254 | 6.5.191.255 | 16,382 |
| 24 | 6.5.192.0/18 | 6.5.192.1 to 6.5.255.254 | 6.5.255.255 | 16,382 |
| 25 | 6.6.0.0/18 | 6.6.0.1 to 6.6.63.254 | 6.6.63.255 | 16,382 |
| 26 | 6.6.64.0/18 | 6.6.64.1 to 6.6.127.254 | 6.6.127.255 | 16,382 |
| 27 | 6.6.128.0/18 | 6.6.128.1 to 6.6.191.254 | 6.6.191.255 | 16,382 |
| 28 | 6.6.192.0/18 | 6.6.192.1 to 6.6.255.254 | 6.6.255.255 | 16,382 |
| 29 | 6.7.0.0/18 | 6.7.0.1 to 6.7.63.254 | 6.7.63.255 | 16,382 |
| 30 | 6.7.64.0/18 | 6.7.64.1 to 6.7.127.254 | 6.7.127.255 | 16,382 |
| 31 | 6.7.128.0/18 | 6.7.128.1 to 6.7.191.254 | 6.7.191.255 | 16,382 |
| 32 | 6.7.192.0/18 | 6.7.192.1 to 6.7.255.254 | 6.7.255.255 | 16,382 |
| 33 | 6.8.0.0/18 | 6.8.0.1 to 6.8.63.254 | 6.8.63.255 | 16,382 |
| 34 | 6.8.64.0/18 | 6.8.64.1 to 6.8.127.254 | 6.8.127.255 | 16,382 |
| 35 | 6.8.128.0/18 | 6.8.128.1 to 6.8.191.254 | 6.8.191.255 | 16,382 |
| 36 | 6.8.192.0/18 | 6.8.192.1 to 6.8.255.254 | 6.8.255.255 | 16,382 |
| 37 | 6.9.0.0/18 | 6.9.0.1 to 6.9.63.254 | 6.9.63.255 | 16,382 |
| 38 | 6.9.64.0/18 | 6.9.64.1 to 6.9.127.254 | 6.9.127.255 | 16,382 |
| 39 | 6.9.128.0/18 | 6.9.128.1 to 6.9.191.254 | 6.9.191.255 | 16,382 |
| 40 | 6.9.192.0/18 | 6.9.192.1 to 6.9.255.254 | 6.9.255.255 | 16,382 |
| 41 | 6.10.0.0/18 | 6.10.0.1 to 6.10.63.254 | 6.10.63.255 | 16,382 |
| 42 | 6.10.64.0/18 | 6.10.64.1 to 6.10.127.254 | 6.10.127.255 | 16,382 |
| 43 | 6.10.128.0/18 | 6.10.128.1 to 6.10.191.254 | 6.10.191.255 | 16,382 |
| 44 | 6.10.192.0/18 | 6.10.192.1 to 6.10.255.254 | 6.10.255.255 | 16,382 |
| 45 | 6.11.0.0/18 | 6.11.0.1 to 6.11.63.254 | 6.11.63.255 | 16,382 |
| 46 | 6.11.64.0/18 | 6.11.64.1 to 6.11.127.254 | 6.11.127.255 | 16,382 |
| 47 | 6.11.128.0/18 | 6.11.128.1 to 6.11.191.254 | 6.11.191.255 | 16,382 |
| 48 | 6.11.192.0/18 | 6.11.192.1 to 6.11.255.254 | 6.11.255.255 | 16,382 |
| 49 | 6.12.0.0/18 | 6.12.0.1 to 6.12.63.254 | 6.12.63.255 | 16,382 |
| 50 | 6.12.64.0/18 | 6.12.64.1 to 6.12.127.254 | 6.12.127.255 | 16,382 |
| 51 | 6.12.128.0/18 | 6.12.128.1 to 6.12.191.254 | 6.12.191.255 | 16,382 |
| 52 | 6.12.192.0/18 | 6.12.192.1 to 6.12.255.254 | 6.12.255.255 | 16,382 |
| 53 | 6.13.0.0/18 | 6.13.0.1 to 6.13.63.254 | 6.13.63.255 | 16,382 |
| 54 | 6.13.64.0/18 | 6.13.64.1 to 6.13.127.254 | 6.13.127.255 | 16,382 |
| 55 | 6.13.128.0/18 | 6.13.128.1 to 6.13.191.254 | 6.13.191.255 | 16,382 |
| 56 | 6.13.192.0/18 | 6.13.192.1 to 6.13.255.254 | 6.13.255.255 | 16,382 |
| 57 | 6.14.0.0/18 | 6.14.0.1 to 6.14.63.254 | 6.14.63.255 | 16,382 |
| 58 | 6.14.64.0/18 | 6.14.64.1 to 6.14.127.254 | 6.14.127.255 | 16,382 |
| 59 | 6.14.128.0/18 | 6.14.128.1 to 6.14.191.254 | 6.14.191.255 | 16,382 |
| 60 | 6.14.192.0/18 | 6.14.192.1 to 6.14.255.254 | 6.14.255.255 | 16,382 |
| 61 | 6.15.0.0/18 | 6.15.0.1 to 6.15.63.254 | 6.15.63.255 | 16,382 |
| 62 | 6.15.64.0/18 | 6.15.64.1 to 6.15.127.254 | 6.15.127.255 | 16,382 |
| 63 | 6.15.128.0/18 | 6.15.128.1 to 6.15.191.254 | 6.15.191.255 | 16,382 |
| 64 | 6.15.192.0/18 | 6.15.192.1 to 6.15.255.254 | 6.15.255.255 | 16,382 |
| 65 | 6.16.0.0/18 | 6.16.0.1 to 6.16.63.254 | 6.16.63.255 | 16,382 |
| 66 | 6.16.64.0/18 | 6.16.64.1 to 6.16.127.254 | 6.16.127.255 | 16,382 |
| 67 | 6.16.128.0/18 | 6.16.128.1 to 6.16.191.254 | 6.16.191.255 | 16,382 |
| 68 | 6.16.192.0/18 | 6.16.192.1 to 6.16.255.254 | 6.16.255.255 | 16,382 |
| 69 | 6.17.0.0/18 | 6.17.0.1 to 6.17.63.254 | 6.17.63.255 | 16,382 |
| 70 | 6.17.64.0/18 | 6.17.64.1 to 6.17.127.254 | 6.17.127.255 | 16,382 |
| 71 | 6.17.128.0/18 | 6.17.128.1 to 6.17.191.254 | 6.17.191.255 | 16,382 |
| 72 | 6.17.192.0/18 | 6.17.192.1 to 6.17.255.254 | 6.17.255.255 | 16,382 |
| 73 | 6.18.0.0/18 | 6.18.0.1 to 6.18.63.254 | 6.18.63.255 | 16,382 |
| 74 | 6.18.64.0/18 | 6.18.64.1 to 6.18.127.254 | 6.18.127.255 | 16,382 |
| 75 | 6.18.128.0/18 | 6.18.128.1 to 6.18.191.254 | 6.18.191.255 | 16,382 |
| 76 | 6.18.192.0/18 | 6.18.192.1 to 6.18.255.254 | 6.18.255.255 | 16,382 |
| 77 | 6.19.0.0/18 | 6.19.0.1 to 6.19.63.254 | 6.19.63.255 | 16,382 |
| 78 | 6.19.64.0/18 | 6.19.64.1 to 6.19.127.254 | 6.19.127.255 | 16,382 |
| 79 | 6.19.128.0/18 | 6.19.128.1 to 6.19.191.254 | 6.19.191.255 | 16,382 |
| 80 | 6.19.192.0/18 | 6.19.192.1 to 6.19.255.254 | 6.19.255.255 | 16,382 |
| 81 | 6.20.0.0/18 | 6.20.0.1 to 6.20.63.254 | 6.20.63.255 | 16,382 |
| 82 | 6.20.64.0/18 | 6.20.64.1 to 6.20.127.254 | 6.20.127.255 | 16,382 |
| 83 | 6.20.128.0/18 | 6.20.128.1 to 6.20.191.254 | 6.20.191.255 | 16,382 |
| 84 | 6.20.192.0/18 | 6.20.192.1 to 6.20.255.254 | 6.20.255.255 | 16,382 |
| 85 | 6.21.0.0/18 | 6.21.0.1 to 6.21.63.254 | 6.21.63.255 | 16,382 |
| 86 | 6.21.64.0/18 | 6.21.64.1 to 6.21.127.254 | 6.21.127.255 | 16,382 |
| 87 | 6.21.128.0/18 | 6.21.128.1 to 6.21.191.254 | 6.21.191.255 | 16,382 |
| 88 | 6.21.192.0/18 | 6.21.192.1 to 6.21.255.254 | 6.21.255.255 | 16,382 |
| 89 | 6.22.0.0/18 | 6.22.0.1 to 6.22.63.254 | 6.22.63.255 | 16,382 |
| 90 | 6.22.64.0/18 | 6.22.64.1 to 6.22.127.254 | 6.22.127.255 | 16,382 |
| 91 | 6.22.128.0/18 | 6.22.128.1 to 6.22.191.254 | 6.22.191.255 | 16,382 |
| 92 | 6.22.192.0/18 | 6.22.192.1 to 6.22.255.254 | 6.22.255.255 | 16,382 |
| 93 | 6.23.0.0/18 | 6.23.0.1 to 6.23.63.254 | 6.23.63.255 | 16,382 |
| 94 | 6.23.64.0/18 | 6.23.64.1 to 6.23.127.254 | 6.23.127.255 | 16,382 |
| 95 | 6.23.128.0/18 | 6.23.128.1 to 6.23.191.254 | 6.23.191.255 | 16,382 |
| 96 | 6.23.192.0/18 | 6.23.192.1 to 6.23.255.254 | 6.23.255.255 | 16,382 |
| 97 | 6.24.0.0/18 | 6.24.0.1 to 6.24.63.254 | 6.24.63.255 | 16,382 |
| 98 | 6.24.64.0/18 | 6.24.64.1 to 6.24.127.254 | 6.24.127.255 | 16,382 |
| 99 | 6.24.128.0/18 | 6.24.128.1 to 6.24.191.254 | 6.24.191.255 | 16,382 |
| 100 | 6.24.192.0/18 | 6.24.192.1 to 6.24.255.254 | 6.24.255.255 | 16,382 |
| 101 | 6.25.0.0/18 | 6.25.0.1 to 6.25.63.254 | 6.25.63.255 | 16,382 |
| 102 | 6.25.64.0/18 | 6.25.64.1 to 6.25.127.254 | 6.25.127.255 | 16,382 |
| 103 | 6.25.128.0/18 | 6.25.128.1 to 6.25.191.254 | 6.25.191.255 | 16,382 |
| 104 | 6.25.192.0/18 | 6.25.192.1 to 6.25.255.254 | 6.25.255.255 | 16,382 |
| 105 | 6.26.0.0/18 | 6.26.0.1 to 6.26.63.254 | 6.26.63.255 | 16,382 |
| 106 | 6.26.64.0/18 | 6.26.64.1 to 6.26.127.254 | 6.26.127.255 | 16,382 |
| 107 | 6.26.128.0/18 | 6.26.128.1 to 6.26.191.254 | 6.26.191.255 | 16,382 |
| 108 | 6.26.192.0/18 | 6.26.192.1 to 6.26.255.254 | 6.26.255.255 | 16,382 |
| 109 | 6.27.0.0/18 | 6.27.0.1 to 6.27.63.254 | 6.27.63.255 | 16,382 |
| 110 | 6.27.64.0/18 | 6.27.64.1 to 6.27.127.254 | 6.27.127.255 | 16,382 |
| 111 | 6.27.128.0/18 | 6.27.128.1 to 6.27.191.254 | 6.27.191.255 | 16,382 |
| 112 | 6.27.192.0/18 | 6.27.192.1 to 6.27.255.254 | 6.27.255.255 | 16,382 |
| 113 | 6.28.0.0/18 | 6.28.0.1 to 6.28.63.254 | 6.28.63.255 | 16,382 |
| 114 | 6.28.64.0/18 | 6.28.64.1 to 6.28.127.254 | 6.28.127.255 | 16,382 |
| 115 | 6.28.128.0/18 | 6.28.128.1 to 6.28.191.254 | 6.28.191.255 | 16,382 |
| 116 | 6.28.192.0/18 | 6.28.192.1 to 6.28.255.254 | 6.28.255.255 | 16,382 |
| 117 | 6.29.0.0/18 | 6.29.0.1 to 6.29.63.254 | 6.29.63.255 | 16,382 |
| 118 | 6.29.64.0/18 | 6.29.64.1 to 6.29.127.254 | 6.29.127.255 | 16,382 |
| 119 | 6.29.128.0/18 | 6.29.128.1 to 6.29.191.254 | 6.29.191.255 | 16,382 |
| 120 | 6.29.192.0/18 | 6.29.192.1 to 6.29.255.254 | 6.29.255.255 | 16,382 |
| 121 | 6.30.0.0/18 | 6.30.0.1 to 6.30.63.254 | 6.30.63.255 | 16,382 |
| 122 | 6.30.64.0/18 | 6.30.64.1 to 6.30.127.254 | 6.30.127.255 | 16,382 |
| 123 | 6.30.128.0/18 | 6.30.128.1 to 6.30.191.254 | 6.30.191.255 | 16,382 |
| 124 | 6.30.192.0/18 | 6.30.192.1 to 6.30.255.254 | 6.30.255.255 | 16,382 |
| 125 | 6.31.0.0/18 | 6.31.0.1 to 6.31.63.254 | 6.31.63.255 | 16,382 |
| 126 | 6.31.64.0/18 | 6.31.64.1 to 6.31.127.254 | 6.31.127.255 | 16,382 |
| 127 | 6.31.128.0/18 | 6.31.128.1 to 6.31.191.254 | 6.31.191.255 | 16,382 |
| 128 | 6.31.192.0/18 | 6.31.192.1 to 6.31.255.254 | 6.31.255.255 | 16,382 |
| 129 | 6.32.0.0/18 | 6.32.0.1 to 6.32.63.254 | 6.32.63.255 | 16,382 |
| 130 | 6.32.64.0/18 | 6.32.64.1 to 6.32.127.254 | 6.32.127.255 | 16,382 |
| 131 | 6.32.128.0/18 | 6.32.128.1 to 6.32.191.254 | 6.32.191.255 | 16,382 |
| 132 | 6.32.192.0/18 | 6.32.192.1 to 6.32.255.254 | 6.32.255.255 | 16,382 |
| 133 | 6.33.0.0/18 | 6.33.0.1 to 6.33.63.254 | 6.33.63.255 | 16,382 |
| 134 | 6.33.64.0/18 | 6.33.64.1 to 6.33.127.254 | 6.33.127.255 | 16,382 |
| 135 | 6.33.128.0/18 | 6.33.128.1 to 6.33.191.254 | 6.33.191.255 | 16,382 |
| 136 | 6.33.192.0/18 | 6.33.192.1 to 6.33.255.254 | 6.33.255.255 | 16,382 |
| 137 | 6.34.0.0/18 | 6.34.0.1 to 6.34.63.254 | 6.34.63.255 | 16,382 |
| 138 | 6.34.64.0/18 | 6.34.64.1 to 6.34.127.254 | 6.34.127.255 | 16,382 |
| 139 | 6.34.128.0/18 | 6.34.128.1 to 6.34.191.254 | 6.34.191.255 | 16,382 |
| 140 | 6.34.192.0/18 | 6.34.192.1 to 6.34.255.254 | 6.34.255.255 | 16,382 |
| 141 | 6.35.0.0/18 | 6.35.0.1 to 6.35.63.254 | 6.35.63.255 | 16,382 |
| 142 | 6.35.64.0/18 | 6.35.64.1 to 6.35.127.254 | 6.35.127.255 | 16,382 |
| 143 | 6.35.128.0/18 | 6.35.128.1 to 6.35.191.254 | 6.35.191.255 | 16,382 |
| 144 | 6.35.192.0/18 | 6.35.192.1 to 6.35.255.254 | 6.35.255.255 | 16,382 |
| 145 | 6.36.0.0/18 | 6.36.0.1 to 6.36.63.254 | 6.36.63.255 | 16,382 |
| 146 | 6.36.64.0/18 | 6.36.64.1 to 6.36.127.254 | 6.36.127.255 | 16,382 |
| 147 | 6.36.128.0/18 | 6.36.128.1 to 6.36.191.254 | 6.36.191.255 | 16,382 |
| 148 | 6.36.192.0/18 | 6.36.192.1 to 6.36.255.254 | 6.36.255.255 | 16,382 |
| 149 | 6.37.0.0/18 | 6.37.0.1 to 6.37.63.254 | 6.37.63.255 | 16,382 |
| 150 | 6.37.64.0/18 | 6.37.64.1 to 6.37.127.254 | 6.37.127.255 | 16,382 |
| 151 | 6.37.128.0/18 | 6.37.128.1 to 6.37.191.254 | 6.37.191.255 | 16,382 |
| 152 | 6.37.192.0/18 | 6.37.192.1 to 6.37.255.254 | 6.37.255.255 | 16,382 |
| 153 | 6.38.0.0/18 | 6.38.0.1 to 6.38.63.254 | 6.38.63.255 | 16,382 |
| 154 | 6.38.64.0/18 | 6.38.64.1 to 6.38.127.254 | 6.38.127.255 | 16,382 |
| 155 | 6.38.128.0/18 | 6.38.128.1 to 6.38.191.254 | 6.38.191.255 | 16,382 |
| 156 | 6.38.192.0/18 | 6.38.192.1 to 6.38.255.254 | 6.38.255.255 | 16,382 |
| 157 | 6.39.0.0/18 | 6.39.0.1 to 6.39.63.254 | 6.39.63.255 | 16,382 |
| 158 | 6.39.64.0/18 | 6.39.64.1 to 6.39.127.254 | 6.39.127.255 | 16,382 |
| 159 | 6.39.128.0/18 | 6.39.128.1 to 6.39.191.254 | 6.39.191.255 | 16,382 |
| 160 | 6.39.192.0/18 | 6.39.192.1 to 6.39.255.254 | 6.39.255.255 | 16,382 |
| 161 | 6.40.0.0/18 | 6.40.0.1 to 6.40.63.254 | 6.40.63.255 | 16,382 |
| 162 | 6.40.64.0/18 | 6.40.64.1 to 6.40.127.254 | 6.40.127.255 | 16,382 |
| 163 | 6.40.128.0/18 | 6.40.128.1 to 6.40.191.254 | 6.40.191.255 | 16,382 |
| 164 | 6.40.192.0/18 | 6.40.192.1 to 6.40.255.254 | 6.40.255.255 | 16,382 |
| 165 | 6.41.0.0/18 | 6.41.0.1 to 6.41.63.254 | 6.41.63.255 | 16,382 |
| 166 | 6.41.64.0/18 | 6.41.64.1 to 6.41.127.254 | 6.41.127.255 | 16,382 |
| 167 | 6.41.128.0/18 | 6.41.128.1 to 6.41.191.254 | 6.41.191.255 | 16,382 |
| 168 | 6.41.192.0/18 | 6.41.192.1 to 6.41.255.254 | 6.41.255.255 | 16,382 |
| 169 | 6.42.0.0/18 | 6.42.0.1 to 6.42.63.254 | 6.42.63.255 | 16,382 |
| 170 | 6.42.64.0/18 | 6.42.64.1 to 6.42.127.254 | 6.42.127.255 | 16,382 |
| 171 | 6.42.128.0/18 | 6.42.128.1 to 6.42.191.254 | 6.42.191.255 | 16,382 |
| 172 | 6.42.192.0/18 | 6.42.192.1 to 6.42.255.254 | 6.42.255.255 | 16,382 |
| 173 | 6.43.0.0/18 | 6.43.0.1 to 6.43.63.254 | 6.43.63.255 | 16,382 |
| 174 | 6.43.64.0/18 | 6.43.64.1 to 6.43.127.254 | 6.43.127.255 | 16,382 |
| 175 | 6.43.128.0/18 | 6.43.128.1 to 6.43.191.254 | 6.43.191.255 | 16,382 |
| 176 | 6.43.192.0/18 | 6.43.192.1 to 6.43.255.254 | 6.43.255.255 | 16,382 |
| 177 | 6.44.0.0/18 | 6.44.0.1 to 6.44.63.254 | 6.44.63.255 | 16,382 |
| 178 | 6.44.64.0/18 | 6.44.64.1 to 6.44.127.254 | 6.44.127.255 | 16,382 |
| 179 | 6.44.128.0/18 | 6.44.128.1 to 6.44.191.254 | 6.44.191.255 | 16,382 |
| 180 | 6.44.192.0/18 | 6.44.192.1 to 6.44.255.254 | 6.44.255.255 | 16,382 |
| 181 | 6.45.0.0/18 | 6.45.0.1 to 6.45.63.254 | 6.45.63.255 | 16,382 |
| 182 | 6.45.64.0/18 | 6.45.64.1 to 6.45.127.254 | 6.45.127.255 | 16,382 |
| 183 | 6.45.128.0/18 | 6.45.128.1 to 6.45.191.254 | 6.45.191.255 | 16,382 |
| 184 | 6.45.192.0/18 | 6.45.192.1 to 6.45.255.254 | 6.45.255.255 | 16,382 |
| 185 | 6.46.0.0/18 | 6.46.0.1 to 6.46.63.254 | 6.46.63.255 | 16,382 |
| 186 | 6.46.64.0/18 | 6.46.64.1 to 6.46.127.254 | 6.46.127.255 | 16,382 |
| 187 | 6.46.128.0/18 | 6.46.128.1 to 6.46.191.254 | 6.46.191.255 | 16,382 |
| 188 | 6.46.192.0/18 | 6.46.192.1 to 6.46.255.254 | 6.46.255.255 | 16,382 |
| 189 | 6.47.0.0/18 | 6.47.0.1 to 6.47.63.254 | 6.47.63.255 | 16,382 |
| 190 | 6.47.64.0/18 | 6.47.64.1 to 6.47.127.254 | 6.47.127.255 | 16,382 |
| 191 | 6.47.128.0/18 | 6.47.128.1 to 6.47.191.254 | 6.47.191.255 | 16,382 |
| 192 | 6.47.192.0/18 | 6.47.192.1 to 6.47.255.254 | 6.47.255.255 | 16,382 |
| 193 | 6.48.0.0/18 | 6.48.0.1 to 6.48.63.254 | 6.48.63.255 | 16,382 |
| 194 | 6.48.64.0/18 | 6.48.64.1 to 6.48.127.254 | 6.48.127.255 | 16,382 |
| 195 | 6.48.128.0/18 | 6.48.128.1 to 6.48.191.254 | 6.48.191.255 | 16,382 |
| 196 | 6.48.192.0/18 | 6.48.192.1 to 6.48.255.254 | 6.48.255.255 | 16,382 |
| 197 | 6.49.0.0/18 | 6.49.0.1 to 6.49.63.254 | 6.49.63.255 | 16,382 |
| 198 | 6.49.64.0/18 | 6.49.64.1 to 6.49.127.254 | 6.49.127.255 | 16,382 |
| 199 | 6.49.128.0/18 | 6.49.128.1 to 6.49.191.254 | 6.49.191.255 | 16,382 |
| 200 | 6.49.192.0/18 | 6.49.192.1 to 6.49.255.254 | 6.49.255.255 | 16,382 |
| 201 | 6.50.0.0/18 | 6.50.0.1 to 6.50.63.254 | 6.50.63.255 | 16,382 |
| 202 | 6.50.64.0/18 | 6.50.64.1 to 6.50.127.254 | 6.50.127.255 | 16,382 |
| 203 | 6.50.128.0/18 | 6.50.128.1 to 6.50.191.254 | 6.50.191.255 | 16,382 |
| 204 | 6.50.192.0/18 | 6.50.192.1 to 6.50.255.254 | 6.50.255.255 | 16,382 |
| 205 | 6.51.0.0/18 | 6.51.0.1 to 6.51.63.254 | 6.51.63.255 | 16,382 |
| 206 | 6.51.64.0/18 | 6.51.64.1 to 6.51.127.254 | 6.51.127.255 | 16,382 |
| 207 | 6.51.128.0/18 | 6.51.128.1 to 6.51.191.254 | 6.51.191.255 | 16,382 |
| 208 | 6.51.192.0/18 | 6.51.192.1 to 6.51.255.254 | 6.51.255.255 | 16,382 |
| 209 | 6.52.0.0/18 | 6.52.0.1 to 6.52.63.254 | 6.52.63.255 | 16,382 |
| 210 | 6.52.64.0/18 | 6.52.64.1 to 6.52.127.254 | 6.52.127.255 | 16,382 |
| 211 | 6.52.128.0/18 | 6.52.128.1 to 6.52.191.254 | 6.52.191.255 | 16,382 |
| 212 | 6.52.192.0/18 | 6.52.192.1 to 6.52.255.254 | 6.52.255.255 | 16,382 |
| 213 | 6.53.0.0/18 | 6.53.0.1 to 6.53.63.254 | 6.53.63.255 | 16,382 |
| 214 | 6.53.64.0/18 | 6.53.64.1 to 6.53.127.254 | 6.53.127.255 | 16,382 |
| 215 | 6.53.128.0/18 | 6.53.128.1 to 6.53.191.254 | 6.53.191.255 | 16,382 |
| 216 | 6.53.192.0/18 | 6.53.192.1 to 6.53.255.254 | 6.53.255.255 | 16,382 |
| 217 | 6.54.0.0/18 | 6.54.0.1 to 6.54.63.254 | 6.54.63.255 | 16,382 |
| 218 | 6.54.64.0/18 | 6.54.64.1 to 6.54.127.254 | 6.54.127.255 | 16,382 |
| 219 | 6.54.128.0/18 | 6.54.128.1 to 6.54.191.254 | 6.54.191.255 | 16,382 |
| 220 | 6.54.192.0/18 | 6.54.192.1 to 6.54.255.254 | 6.54.255.255 | 16,382 |
| 221 | 6.55.0.0/18 | 6.55.0.1 to 6.55.63.254 | 6.55.63.255 | 16,382 |
| 222 | 6.55.64.0/18 | 6.55.64.1 to 6.55.127.254 | 6.55.127.255 | 16,382 |
| 223 | 6.55.128.0/18 | 6.55.128.1 to 6.55.191.254 | 6.55.191.255 | 16,382 |
| 224 | 6.55.192.0/18 | 6.55.192.1 to 6.55.255.254 | 6.55.255.255 | 16,382 |
| 225 | 6.56.0.0/18 | 6.56.0.1 to 6.56.63.254 | 6.56.63.255 | 16,382 |
| 226 | 6.56.64.0/18 | 6.56.64.1 to 6.56.127.254 | 6.56.127.255 | 16,382 |
| 227 | 6.56.128.0/18 | 6.56.128.1 to 6.56.191.254 | 6.56.191.255 | 16,382 |
| 228 | 6.56.192.0/18 | 6.56.192.1 to 6.56.255.254 | 6.56.255.255 | 16,382 |
| 229 | 6.57.0.0/18 | 6.57.0.1 to 6.57.63.254 | 6.57.63.255 | 16,382 |
| 230 | 6.57.64.0/18 | 6.57.64.1 to 6.57.127.254 | 6.57.127.255 | 16,382 |
| 231 | 6.57.128.0/18 | 6.57.128.1 to 6.57.191.254 | 6.57.191.255 | 16,382 |
| 232 | 6.57.192.0/18 | 6.57.192.1 to 6.57.255.254 | 6.57.255.255 | 16,382 |
| 233 | 6.58.0.0/18 | 6.58.0.1 to 6.58.63.254 | 6.58.63.255 | 16,382 |
| 234 | 6.58.64.0/18 | 6.58.64.1 to 6.58.127.254 | 6.58.127.255 | 16,382 |
| 235 | 6.58.128.0/18 | 6.58.128.1 to 6.58.191.254 | 6.58.191.255 | 16,382 |
| 236 | 6.58.192.0/18 | 6.58.192.1 to 6.58.255.254 | 6.58.255.255 | 16,382 |
| 237 | 6.59.0.0/18 | 6.59.0.1 to 6.59.63.254 | 6.59.63.255 | 16,382 |
| 238 | 6.59.64.0/18 | 6.59.64.1 to 6.59.127.254 | 6.59.127.255 | 16,382 |
| 239 | 6.59.128.0/18 | 6.59.128.1 to 6.59.191.254 | 6.59.191.255 | 16,382 |
| 240 | 6.59.192.0/18 | 6.59.192.1 to 6.59.255.254 | 6.59.255.255 | 16,382 |
| 241 | 6.60.0.0/18 | 6.60.0.1 to 6.60.63.254 | 6.60.63.255 | 16,382 |
| 242 | 6.60.64.0/18 | 6.60.64.1 to 6.60.127.254 | 6.60.127.255 | 16,382 |
| 243 | 6.60.128.0/18 | 6.60.128.1 to 6.60.191.254 | 6.60.191.255 | 16,382 |
| 244 | 6.60.192.0/18 | 6.60.192.1 to 6.60.255.254 | 6.60.255.255 | 16,382 |
| 245 | 6.61.0.0/18 | 6.61.0.1 to 6.61.63.254 | 6.61.63.255 | 16,382 |
| 246 | 6.61.64.0/18 | 6.61.64.1 to 6.61.127.254 | 6.61.127.255 | 16,382 |
| 247 | 6.61.128.0/18 | 6.61.128.1 to 6.61.191.254 | 6.61.191.255 | 16,382 |
| 248 | 6.61.192.0/18 | 6.61.192.1 to 6.61.255.254 | 6.61.255.255 | 16,382 |
| 249 | 6.62.0.0/18 | 6.62.0.1 to 6.62.63.254 | 6.62.63.255 | 16,382 |
| 250 | 6.62.64.0/18 | 6.62.64.1 to 6.62.127.254 | 6.62.127.255 | 16,382 |
| 251 | 6.62.128.0/18 | 6.62.128.1 to 6.62.191.254 | 6.62.191.255 | 16,382 |
| 252 | 6.62.192.0/18 | 6.62.192.1 to 6.62.255.254 | 6.62.255.255 | 16,382 |
| 253 | 6.63.0.0/18 | 6.63.0.1 to 6.63.63.254 | 6.63.63.255 | 16,382 |
| 254 | 6.63.64.0/18 | 6.63.64.1 to 6.63.127.254 | 6.63.127.255 | 16,382 |
| 255 | 6.63.128.0/18 | 6.63.128.1 to 6.63.191.254 | 6.63.191.255 | 16,382 |
| 256 | 6.63.192.0/18 | 6.63.192.1 to 6.63.255.254 | 6.63.255.255 | 16,382 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |